
/*
 * mojtd/hugosend.c
 *
 * 2003-02-03 Fredrik Roubert <d95fr@efd.lth.se>
 *
 * $Id: hugosend.c,v 1.3 2003/02/06 00:33:45 roubert Exp $
 *
 */

#include <stdio.h>
#include <stdlib.h>

#if _WIN32
# include <winsock2.h>
#endif

#include "hugocom.h"


int
main(int argc, char *argv[])
{
#if _WIN32
	WORD wVersionRequested;
	WSADATA wsaData;

	wVersionRequested = MAKEWORD(2, 2);

	if (WSAStartup(wVersionRequested, &wsaData) != 0)
		return EXIT_FAILURE;
#endif

	if (argc != 2)
	{
		fprintf(stderr, "Usage: %s [MESSAGE]\n", argv[0]);
		return EXIT_FAILURE;
	}

	switch(hugocom(argv[1]))
	{
	case HUGO_INTERNAL:
		puts("Internal error.");
		break;

	case HUGO_UNKNOWN:
		puts("Unknown response from server.");
		break;

	case HUGO_NOTEXT:
		puts("No text to send.");
		break;

	case HUGO_BANNED:
		puts("This IP number is banned.");
		break;

	case HUGO_FULL:
		puts("The server message queue is full.");
		break;

	case HUGO_ERROR:
		puts("Internal server error.");
		break;

	case HUGO_EMPTY:
		puts("Sent text is empty. Strange.");
		break;

	case HUGO_OK:
		puts("OK. Message sent.");
		break;

	case HUGO_TRUNCATED:
		puts("Message truncated. Message sent.");
		break;

	default:
		puts("Unknown status code.");
	}

	return EXIT_SUCCESS;
}

